<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.jgroups.channel.fork.protocol.org.jgroups.protocols.JDBC_PING" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="add-index,module,properties,statistics-enabled"/>
        <elem name="addr-params" value="profile,subsystem,channel,fork,protocol"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.jgroups.protocol.$fork.$protocol"/>
    </provides>
    <refs>
        <ref feature="subsystem.jgroups.channel.fork"/>
        <ref feature="subsystem.jgroups.channel"/>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="add-index" nillable="true" stability="default"/>
        <param name="fork" feature-id="true"/>
        <param name="protocol" feature-id="true" default="org.jgroups.protocols.JDBC_PING"/>
        <param name="module" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="channel" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="statistics-enabled" nillable="true" stability="default"/>
        <param name="properties" nillable="true" stability="default"/>
    </params>
</feature-spec>